.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

body,
html {
  margin: 0;
  padding: 0;
  background-color: #d6fff6;
  color: #231651;
  font-family: Arial, Helvetica, sans-serif;
}

header,
.menu,
.user-info {
  background-color: #4dccbd;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2px 15px;
  height: 80px;
}

.user-content,
.options {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2px 5px;
}

img {
  width: 35px;
  height: 35px;
}

.dropdown-content {
  display: none;
  position: absolute;
  right: 100px;
  background-color: #cadaf3;
  border-radius: 5px;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  padding: 12px;
  z-index: 2;
}

.notification:hover .dropdown-content {
  display: block;
}

.user-info:hover .dropdown-content {
  display: block;
  top: 60px;
  right: 10px;
}

.user-message {
  background-color: darkgrey;
  height: 38px;
  width: 105px;
  border: 1px solid rgb(26, 26, 26);
  border-radius: 15px;
}

.profile,
.logout {
  padding: 4px 16px;
}

.active {
  font-weight: bolder;
}

a {
  text-decoration: none;
  font-size: larger;
  color: #5a5a5a;
  text-align: left;
}

nav {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 20px;
  margin: 10px;
  position: fixed;
  z-index: 1;
  width: 120px;
}

main {
  margin: 25px 30px 20px 200px;
  margin-left: 200px;
}

.addBtn,
.submitBtn,
.warn-deleteBtn {
  margin-left: auto;
}

.addBtn {
  margin-bottom: 15px;
}

button {
  display: block;
  border: 1px solid #0e0e0e;
  background-color: #cadaf3;
  line-height: 0;
  padding: 3px 6px;
  cursor: pointer;
}

button:active {
  background-color: #7295e1;
}

.addBtn img,
.editBtn img,
.deleteBtn img,
.closeBtn img,
.status {
  width: 20px;
  height: 20px;
}

table,
thead {
  /* border-bottom: 2px solid rgb(174, 174, 174); */
  text-align: center;
  align-items: center;
  padding: 10px;
  padding-right: 0;
  border-radius: 20px;
  border-spacing: 0;
  margin-left: 0;
}

td {
  padding: 10px;
  border-bottom: 2px solid rgb(174, 174, 174);
  border-collapse: collapse;
  margin: 0;
  border-right: none;
  background-color: #cfdeff;
}

.options td {
  padding: 0;
}

tr {
  border-radius: 20px;
  border-bottom: 2px solid rgb(174, 174, 174);
}

table {
  width: 100%;
  font-family: "Courier New", Courier, monospace;
}

.col-checkbox,
.col-status {
  width: 35px;
}

.col-group,
.col-gender {
  width: 80px;
}

.col-birthday {
  width: 120px;
}

.col-options {
  width: 100px;
}

.status {
  background-color: #979191;
  margin: auto;
  border-radius: 100%;
}

.status-active {
  background-color: #38ca61;
}

input[type="checkbox"],
.menu {
  cursor: pointer;
}

.modal-content {
  display: none;
  width: 60%;
  max-width: 600px;
  z-index: 1;
  position: fixed;
  border: 1px solid rgb(137, 137, 137);
  border-radius: 10px;
  top: 150px;
  left: 50%;
  transform: translate(-50%, 0);
  background-color: #ffd4fc;
}

.modal-content-active {
  display: block;
}

form {
  max-width: 500px;
  display: table;
  margin: 10px auto;
}

label {
  display: table-cell;
  font-weight: bold;
  margin-bottom: 10px;
}

.modal-header,
.modal-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 2px 15px;
  margin: 0;
}

.warning-modal .modal-body {
  padding: 15px;
}

.modal-body {
  border-top: 1px solid black;
  border-bottom: 1px solid black;
}

.modal-header,
.modal-footer {
  height: 72px;
}

.modal-body input,
.modal-body select {
  margin: 10px;
  padding: 4px;
  border: 1px solid gray;
  border-radius: 4px;
  display: table-cell;
  min-width: 175px;
}

.form-group {
  display: table-row;
}

.submitBtn,
.warn-deleteBtn {
  padding: 12px;
  border-radius: 4px;
}
/* 
.submitBtn:active {
  background-color: #39c039;
}

.closeBtn:active {
  background-color: #c03939;
} */

input:required:valid,
select:required:valid {
  border-color: green;
}

input:invalid,
select:invalid {
  border-color: red;
}

input:required:focus:valid,
select:required:focus:valid {
  background: url("https://assets.digitalocean.com/labs/icons/hand-thumbs-up.svg")
    no-repeat 95% 50% lightgreen;
  background-size: 20px;
}
input:focus:invalid,
select:focus:invalid {
  background: url("https://assets.digitalocean.com/labs/icons/exclamation-triangle-fill.svg")
    no-repeat 95% 50% lightsalmon;
  background-size: 20px;
}

.new-notification {
  display: none;
  background-color: red;
  height: 10px;
  width: 10px;
  border-radius: 50%;
  position: absolute;
  top: 24px;
  right: 231px;
  z-index: 1;
}

.notification-active {
  animation: moving 2s;
  display: inline-block;
}

@keyframes bell {
  0%,
  80%,
  100% {
    transform: rotate(0deg);
  }
  10%,
  50%,
  90% {
    transform: rotate(-10deg);
  }
  20%,
  70% {
    transform: rotate(5deg);
  }
  30% {
    transform: rotate(10deg);
  }
  40% {
    transform: rotate(5deg);
    transform: rotate3d();
  }

  60% {
    transform: rotate(-5deg);
  }
}

@keyframes moving {
  0%,
  50%,
  100% {
    opacity: 1;
  }
  25%,
  75% {
    opacity: 0;
  }
}

thead td {
  background-color: #869ac4;
  font-weight: bolder;
}
